DefaultCMSSignatureEncryptionAlgorithmFinder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms

## Class DefaultCMSSignatureEncryptionAlgorithmFinder

- java.lang.Object
- - org.bouncycastle.cms.DefaultCMSSignatureEncryptionAlgorithmFinder

- All Implemented Interfaces:
    CMSSignatureEncryptionAlgorithmFinder

      public class DefaultCMSSignatureEncryptionAlgorithmFinder
      extends java.lang.Object
      implements CMSSignatureEncryptionAlgorithmFinder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCMSSignatureEncryptionAlgorithmFinder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `findEncryptionAlgorithm(org.bouncycastle.asn1.x509.AlgorithmIdentifier signatureAlgorithm)` Return the encryption algorithm identifier associated with the passed in signatureAlgorithm

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCMSSignatureEncryptionAlgorithmFinder

          public DefaultCMSSignatureEncryptionAlgorithmFinder()

  - ### Method Detail

    - #### findEncryptionAlgorithm

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier findEncryptionAlgorithm(org.bouncycastle.asn1.x509.AlgorithmIdentifier signatureAlgorithm)

      Description copied from interface: `CMSSignatureEncryptionAlgorithmFinder`
      Return the encryption algorithm identifier associated with the passed in signatureAlgorithm
      Specified by:
        `findEncryptionAlgorithm` in interface `CMSSignatureEncryptionAlgorithmFinder`
      Parameters:
        `signatureAlgorithm` - the algorithm identifier of the signature of interest
      Returns:
        the algorithm identifier to be associated with the encryption algorithm used in signature creation.